Conversation messages
Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired
The ID of the chatbot.
conversationIdstringRequired
The ID of the conversation.
Responses
200
A list of all messages in the conversation.
application/json
errorstringOptional
Optional error message.
403
Insufficient permissions.
get
/v1/chatbots/{chatbotId}/conversations/{conversationId}/messagesAuthorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired
The ID of the chatbot.
conversationIdstringRequired
The ID of the conversation.
Body
disableSendingbooleanRequiredExample:
Whether to skip sending the message to the channel.
falseResponses
201Success
application/json
403
Insufficient permissions.
post
/v1/chatbots/{chatbotId}/conversations/{conversationId}/messagesAuthorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired
The ID of the chatbot.
conversationIdstringRequired
The ID of the conversation.
messageIdstringRequired
The Id of the message to retrieve.
Responses
200Success
application/json
errorstringOptional
Optional error message.
403
Insufficient permissions.
get
/v1/chatbots/{chatbotId}/conversations/{conversationId}/messages/{messageId}Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired
The ID of the chatbot.
conversationIdstringRequired
The Id of the conversation.
messageIdstringRequired
The Id of the message to retrieve.
Body
Responses
200Success
application/json
errorstringOptional
Optional error message.
403
Insufficient permissions.
patch
/v1/chatbots/{chatbotId}/conversations/{conversationId}/messages/{messageId}Last updated